Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_node_get_uri

## Name

librdf_node_get_uri -- Get the URI for a node object

## Synopsis

``librdf_uri* `librdf_node_get_uri`` (librdf_node* `node`);`

## Arguments

`node`

  the node object

## Description

Returns a pointer to the URI object held by the node, it must be copied if it is wanted to be used by the caller.

## Return value

URI object or NULL if node has no URI.

<<< Previous | Home | Next >>>
librdf_free_node | Up | librdf_node_get_type